libnet: libnet-headers.h File Reference

Main Page | Data Structures | File List | Data Fields | Globals

# libnet-headers.h File Reference

libnet header information More...

Go to the source code of this file.

## Data Structures
struct | libnet_802_1q_hdr
struct | libnet_802_1x_hdr
struct | libnet_802_2_hdr
struct | libnet_802_2snap_hdr
struct | libnet_802_3_hdr
struct | libnet_ah_hdr
struct | libnet_arp_hdr
struct | libnet_as_lsa_hdr
struct | libnet_auth_hdr
struct | libnet_bgp4_header_hdr
struct | libnet_bgp4_notification_hdr
struct | libnet_bgp4_open_hdr
struct | libnet_cdp_hdr
struct | libnet_cdp_value_hdr
struct | libnet_dbd_hdr
struct | libnet_dhcpv4_hdr
struct | libnet_dnsv4_hdr
struct | libnet_esp_ftr
struct | libnet_esp_hdr
struct | libnet_ether_addr
struct | libnet_ethernet_hdr
struct | libnet_fddi_addr
struct | libnet_fddi_hdr
struct | libnet_gre_hdr
struct | libnet_gre_sre_hdr
struct | libnet_icmpv4_hdr
struct | libnet_icmpv6_hdr
struct | libnet_igmp_hdr
struct | libnet_in6_addr
struct | libnet_ipv4_hdr
struct | libnet_ipv6_destopts_hdr
struct | libnet_ipv6_frag_hdr
struct | libnet_ipv6_hbhopts_hdr
struct | libnet_ipv6_hdr
struct | libnet_ipv6_routing_hdr
struct | libnet_isl_hdr
struct | libnet_lsa_hdr
struct | libnet_lsr_hdr
struct | libnet_lsu_hdr
struct | libnet_mpls_hdr
struct | libnet_net_lsa_hdr
struct | libnet_ntp_hdr
struct | libnet_ntp_hdr_l_fp
struct | libnet_ntp_hdr_s_fp
struct | libnet_ospf_hdr
struct | libnet_ospf_hello_hdr
struct | libnet_rip_hdr
struct | libnet_rpc_call
struct | libnet_rpc_call_hdr
struct | libnet_rpc_call_tcp_hdr
struct | libnet_rpc_opaque_auth
struct | libnet_rtr_lsa_hdr
struct | libnet_sebek_hdr
struct | libnet_stp_conf_hdr
struct | libnet_stp_tcn_hdr
struct | libnet_sum_lsa_hdr
struct | libnet_tcp_hdr
struct | libnet_token_ring_addr
struct | libnet_token_ring_hdr
struct | libnet_udp_hdr
struct | libnet_vrrp_hdr
## Defines
#define | LIBNET_802_1Q_H 0x12
#define | LIBNET_802_1X_H 0x04
#define | LIBNET_802_2_H 0x03
#define | LIBNET_802_2SNAP_H 0x08
#define | LIBNET_802_3_H 0x0e
#define | LIBNET_ARP_H 0x08
#define | LIBNET_ARP_ETH_IP_H 0x1c
#define | LIBNET_BGP4_HEADER_H 0x13
#define | LIBNET_BGP4_OPEN_H 0x0a
#define | LIBNET_BGP4_UPDATE_H 0x04
#define | LIBNET_BGP4_NOTIFICATION_H 0x02
#define | LIBNET_CDP_H 0x08
#define | LIBNET_DHCPV4_H 0xf0
#define | LIBNET_UDP_DNSV4_H 0x0c
#define | LIBNET_TCP_DNSV4_H 0x0e
#define | LIBNET_ETH_H 0x0e
#define | LIBNET_FDDI_H 0x15
#define | LIBNET_ICMPV4_H 0x04
#define | LIBNET_ICMPV4_ECHO_H 0x08
#define | LIBNET_ICMPV4_MASK_H 0x0c
#define | LIBNET_ICMPV4_UNREACH_H 0x08
#define | LIBNET_ICMPV4_TIMXCEED_H 0x08
#define | LIBNET_ICMPV4_REDIRECT_H 0x08
#define | LIBNET_ICMPV4_TS_H 0x14
#define | LIBNET_ICMPV6_H 0x08
#define | LIBNET_IGMP_H 0x08
#define | LIBNET_IPV4_H 0x14
#define | LIBNET_IPV6_H 0x28
#define | LIBNET_IPV6_FRAG_H 0x08
#define | LIBNET_IPV6_ROUTING_H 0x04
#define | LIBNET_IPV6_DESTOPTS_H 0x02
#define | LIBNET_IPV6_HBHOPTS_H 0x02
#define | LIBNET_IPSEC_ESP_HDR_H 0x0c
#define | LIBNET_IPSEC_ESP_FTR_H 0x02
#define | LIBNET_IPSEC_AH_H 0x10
#define | LIBNET_ISL_H 0x1a
#define | LIBNET_GRE_H 0x04
#define | LIBNET_GRE_SRE_H 0x04
#define | LIBNET_MPLS_H 0x04
#define | LIBNET_OSPF_H 0x10
#define | LIBNET_OSPF_HELLO_H 0x18
#define | LIBNET_OSPF_DBD_H 0x08
#define | LIBNET_OSPF_LSR_H 0x0c
#define | LIBNET_OSPF_LSU_H 0x04
#define | LIBNET_OSPF_LSA_H 0x14
#define | LIBNET_OSPF_AUTH_H 0x08
#define | LIBNET_OSPF_CKSUM 0x10
#define | LIBNET_OSPF_LS_RTR_H 0x10
#define | LIBNET_OSPF_LS_NET_H 0x08
#define | LIBNET_OSPF_LS_SUM_H 0x0c
#define | LIBNET_OSPF_LS_AS_EXT_H 0x10
#define | LIBNET_NTP_H 0x30
#define | LIBNET_RIP_H 0x18
#define | LIBNET_RPC_CALL_H 0x28
#define | LIBNET_RPC_CALL_TCP_H 0x2c
#define | LIBNET_SEBEK_H 0x30
#define | LIBNET_STP_CONF_H 0x23
#define | LIBNET_STP_TCN_H 0x04
#define | LIBNET_TOKEN_RING_H 0x16
#define | LIBNET_TCP_H 0x14
#define | LIBNET_UDP_H 0x08
#define | LIBNET_VRRP_H 0x08
#define | LIBNET_802_1Q_PRIMASK 0x0007
#define | LIBNET_802_1Q_CFIMASK 0x0001
#define | LIBNET_802_1Q_VIDMASK 0x0fff
#define | LIBNET_802_1X_PACKET 0x00
#define | LIBNET_802_1X_START 0x01
#define | LIBNET_802_1X_LOGOFF 0x02
#define | LIBNET_802_1X_KEY 0x03
#define | LIBNET_802_1X_ENCASFAL 0x04
#define | LIBNET_SAP_STP 0x42
#define | LIBNET_SAP_SNAP 0xaa
#define | ARPHRD_NETROM 0
#define | ARPHRD_ETHER 1
#define | ARPHRD_EETHER 2
#define | ARPHRD_AX25 3
#define | ARPHRD_PRONET 4
#define | ARPHRD_CHAOS 5
#define | ARPHRD_IEEE802 6
#define | ARPHRD_ARCNET 7
#define | ARPHRD_APPLETLK 8
#define | ARPHRD_LANSTAR 9
#define | ARPHRD_DLCI 15
#define | ARPHRD_ATM 19
#define | ARPHRD_METRICOM 23
#define | ARPHRD_IPSEC 31
#define | ARPOP_REQUEST 1
#define | ARPOP_REPLY 2
#define | ARPOP_REVREQUEST 3
#define | ARPOP_REVREPLY 4
#define | ARPOP_INVREQUEST 8
#define | ARPOP_INVREPLY 9
#define | LIBNET_BGP4_MARKER_SIZE 16
#define | LIBNET_BGP4_OPEN 1
#define | LIBNET_BGP4_UPDATE 2
#define | LIBNET_BGP4_NOTIFICATION 3
#define | LIBNET_BGP4_KEEPALIVE 4
#define | LIBNET_BGP4_MESSAGE_HEADER_ERROR 1
#define | LIBNET_BGP4_OPEN_MESSAGE_ERROR 2
#define | LIBNET_BGP4_UPDATE_MESSAGE_ERROR 3
#define | LIBNET_BGP4_HOLD_TIMER_EXPIRED 4
#define | LIBNET_BGP4_FINITE_STATE__ERROR 5
#define | LIBNET_BGP4_CEASE 6
#define | LIBNET_BGP4_CONNECTION_NOT_SYNCHRONIZED 1
#define | LIBNET_BGP4_BAD_MESSAGE_LENGTH 2
#define | LIBNET_BGP4_BAD_MESSAGE_TYPE 3
#define | LIBNET_BGP4_UNSUPPORTED_VERSION_NUMBER 1
#define | LIBNET_BGP4_BAD_PEER_AS 2
#define | LIBNET_BGP4_BAD_BGP_IDENTIFIER 3
#define | LIBNET_BGP4_UNSUPPORTED_OPTIONAL_PARAMETER 4
#define | LIBNET_BGP4_AUTHENTICATION_FAILURE 5
#define | LIBNET_BGP4_UNACCEPTABLE_HOLD_TIME 6
#define | LIBNET_BGP4_MALFORMED_ATTRIBUTE_LIST
#define | LIBNET_BGP4_UNRECOGNIZED_WELL_KNOWN_ATTRIBUTE
#define | LIBNET_BGP4_MISSING_WELL_KNOWN_ATTRIBUTE
#define | LIBNET_BGP4_ATTRIBUTE_FLAGS_ERROR
#define | LIBNET_BGP4_ATTRIBUTE_LENGTH_ERROR
#define | LIBNET_BGP4_INVALID_ORIGIN_ATTRIBUTE
#define | LIBNET_BGP4_AS_ROUTING_LOOP
#define | LIBNET_BGP4_INVALID_NEXT_HOP_ATTRIBUTE
#define | LIBNET_BGP4_OPTIONAL_ATTRIBUTE_ERROR
#define | LIBNET_BGP4_INVALID_NETWORK_FIELD
#define | LIBNET_BGP4_MALFORMED_AS_PATH
#define | LIBNET_PROTO_CDP 200
#define | LIBNET_CDP_DEVID 0x1
#define | LIBNET_CDP_ADDRESS 0x2
#define | LIBNET_CDP_PORTID 0x3
#define | LIBNET_CDP_CAPABIL 0x4
#define | LIBNET_CDP_VERSION 0x5
#define | LIBNET_CDP_PLATFORM 0x6
#define | LIBNET_CDP_IPPREFIX 0x7
#define | LIBNET_CDP_CAP_L3R 0x01
#define | LIBNET_CDP_CAP_L2B 0x02
#define | LIBNET_CDP_CAP_L2SRB 0x04
#define | LIBNET_CDP_CAP_L2S 0x08
#define | LIBNET_CDP_CAP_SR 0x10
#define | LIBNET_CDP_CAP_NOI 0x20
#define | LIBNET_CDP_CAP_L1F 0x40
#define | LIBNET_DHCP_REQUEST 0x1
#define | LIBNET_DHCP_REPLY 0x2
#define | DHCP_MAGIC 0x63825363
#define | LIBNET_BOOTP_MIN_LEN 0x12c
#define | LIBNET_DHCP_PAD 0x00
#define | LIBNET_DHCP_SUBNETMASK 0x01
#define | LIBNET_DHCP_TIMEOFFSET 0x02
#define | LIBNET_DHCP_ROUTER 0x03
#define | LIBNET_DHCP_TIMESERVER 0x04
#define | LIBNET_DHCP_NAMESERVER 0x05
#define | LIBNET_DHCP_DNS 0x06
#define | LIBNET_DHCP_LOGSERV 0x07
#define | LIBNET_DHCP_COOKIESERV 0x08
#define | LIBNET_DHCP_LPRSERV 0x09
#define | LIBNET_DHCP_IMPSERV 0x0a
#define | LIBNET_DHCP_RESSERV 0x0b
#define | LIBNET_DHCP_HOSTNAME 0x0c
#define | LIBNET_DHCP_BOOTFILESIZE 0x0d
#define | LIBNET_DHCP_DUMPFILE 0x0e
#define | LIBNET_DHCP_DOMAINNAME 0x0f
#define | LIBNET_DHCP_SWAPSERV 0x10
#define | LIBNET_DHCP_ROOTPATH 0x11
#define | LIBNET_DHCP_EXTENPATH 0x12
#define | LIBNET_DHCP_IPFORWARD 0x13
#define | LIBNET_DHCP_SRCROUTE 0x14
#define | LIBNET_DHCP_POLICYFILTER 0x15
#define | LIBNET_DHCP_MAXASMSIZE 0x16
#define | LIBNET_DHCP_IPTTL 0x17
#define | LIBNET_DHCP_MTUTIMEOUT 0x18
#define | LIBNET_DHCP_MTUTABLE 0x19
#define | LIBNET_DHCP_MTUSIZE 0x1a
#define | LIBNET_DHCP_LOCALSUBNETS 0x1b
#define | LIBNET_DHCP_BROADCASTADDR 0x1c
#define | LIBNET_DHCP_DOMASKDISCOV 0x1d
#define | LIBNET_DHCP_MASKSUPPLY 0x1e
#define | LIBNET_DHCP_DOROUTEDISC 0x1f
#define | LIBNET_DHCP_ROUTERSOLICIT 0x20
#define | LIBNET_DHCP_STATICROUTE 0x21
#define | LIBNET_DHCP_TRAILERENCAP 0x22
#define | LIBNET_DHCP_ARPTIMEOUT 0x23
#define | LIBNET_DHCP_ETHERENCAP 0x24
#define | LIBNET_DHCP_TCPTTL 0x25
#define | LIBNET_DHCP_TCPKEEPALIVE 0x26
#define | LIBNET_DHCP_TCPALIVEGARBAGE 0x27
#define | LIBNET_DHCP_NISDOMAIN 0x28
#define | LIBNET_DHCP_NISSERVERS 0x29
#define | LIBNET_DHCP_NISTIMESERV 0x2a
#define | LIBNET_DHCP_VENDSPECIFIC 0x2b
#define | LIBNET_DHCP_NBNS 0x2c
#define | LIBNET_DHCP_NBDD 0x2d
#define | LIBNET_DHCP_NBTCPIP 0x2e
#define | LIBNET_DHCP_NBTCPSCOPE 0x2f
#define | LIBNET_DHCP_XFONT 0x30
#define | LIBNET_DHCP_XDISPLAYMGR 0x31
#define | LIBNET_DHCP_DISCOVERADDR 0x32
#define | LIBNET_DHCP_LEASETIME 0x33
#define | LIBNET_DHCP_OPTIONOVERLOAD 0x34
#define | LIBNET_DHCP_MESSAGETYPE 0x35
#define | LIBNET_DHCP_SERVIDENT 0x36
#define | LIBNET_DHCP_PARAMREQUEST 0x37
#define | LIBNET_DHCP_MESSAGE 0x38
#define | LIBNET_DHCP_MAXMSGSIZE 0x39
#define | LIBNET_DHCP_RENEWTIME 0x3a
#define | LIBNET_DHCP_REBINDTIME 0x3b
#define | LIBNET_DHCP_CLASSSID 0x3c
#define | LIBNET_DHCP_CLIENTID 0x3d
#define | LIBNET_DHCP_NISPLUSDOMAIN 0x40
#define | LIBNET_DHCP_NISPLUSSERVERS 0x41
#define | LIBNET_DHCP_MOBILEIPAGENT 0x44
#define | LIBNET_DHCP_SMTPSERVER 0x45
#define | LIBNET_DHCP_POP3SERVER 0x46
#define | LIBNET_DHCP_NNTPSERVER 0x47
#define | LIBNET_DHCP_WWWSERVER 0x48
#define | LIBNET_DHCP_FINGERSERVER 0x49
#define | LIBNET_DHCP_IRCSERVER 0x4a
#define | LIBNET_DHCP_STSERVER 0x4b
#define | LIBNET_DHCP_STDASERVER 0x4c
#define | LIBNET_DHCP_END 0xff
#define | LIBNET_DHCP_MSGDISCOVER 0x01
#define | LIBNET_DHCP_MSGOFFER 0x02
#define | LIBNET_DHCP_MSGREQUEST 0x03
#define | LIBNET_DHCP_MSGDECLINE 0x04
#define | LIBNET_DHCP_MSGACK 0x05
#define | LIBNET_DHCP_MSGNACK 0x06
#define | LIBNET_DHCP_MSGRELEASE 0x07
#define | LIBNET_DHCP_MSGINFORM 0x08
#define | LIBNET_DNS_H LIBNET_UDP_DNSV4_H
#define | ETHERTYPE_PUP 0x0200
#define | ETHERTYPE_IP 0x0800
#define | ETHERTYPE_ARP 0x0806
#define | ETHERTYPE_REVARP 0x8035
#define | ETHERTYPE_VLAN 0x8100
#define | ETHERTYPE_EAP 0x888e
#define | ETHERTYPE_MPLS 0x8847
#define | ETHERTYPE_LOOPBACK 0x9000
#define | LIBNET_FDDI_LLC_FRAME 0x10
#define | LIBNET_FDDI_48BIT_ADDR 0x40
#define | LIBNET_FDDI_FC_REQD LIBNET_FDDI_LLC_FRAME | LIBNET_FDDI_48BIT_ADDR
#define | FDDI_TYPE_IP 0x0800
#define | FDDI_TYPE_ARP 0x0806
#define | FDDI_TYPE_REVARP 0x8035
#define | GRE_CSUM 0x8000
#define | GRE_ROUTING 0x4000
#define | GRE_KEY 0x2000
#define | GRE_SEQ 0x1000
#define | GRE_STRICT 0x0800
#define | GRE_REC 0x0700
#define | GRE_ACK 0x0080
#define | GRE_FLAGS_MASK 0x00F8
#define | GRE_VERSION_MASK 0x0007
#define | GRE_VERSION_0 0x0000
#define | GRE_VERSION_1 0x0001
#define | GRE_SNA 0x0004
#define | GRE_OSI_NETWORK_LAYER 0x00FE
#define | GRE_PUP 0x0200
#define | GRE_XNS 0x0600
#define | GRE_IP 0x0800
#define | GRE_CHAOS 0x0804
#define | GRE_RFC_826_ARP 0x0806
#define | GRE_FRAME_RELAY_ARP 0x0808
#define | GRE_VINES 0x0BAD
#define | GRE_VINES_ECHO 0x0BAE
#define | GRE_VINES_LOOPBACK 0x0BAF
#define | GRE_DECNET 0x6003
#define | GRE_TRANSPARENT_ETHERNET_BRIDGING 0x6558
#define | GRE_RAW_FRAME_RELAY 0x6559
#define | GRE_APOLLO_DOMAIN 0x8019
#define | GRE_ETHERTALK 0x809B
#define | GRE_NOVELL_IPX 0x8137
#define | GRE_RFC_1144_TCP_IP_COMPRESSION 0x876B
#define | GRE_IP_AUTONOMOUS_SYSTEMS 0x876C
#define | GRE_SECURE_DATA 0x876D
#define | GRE_PPP 0x880b
#define | gre_sum _data._gre.sum
#define | gre_offset _data._gre.offset
#define | gre_key _data._gre.key
#define | gre_seq _data._gre.seq
#define | egre_payload_s _data._egre.payload_s
#define | egre_callID _data._egre.callID
#define | egre_seq _data._egre.seq
#define | egre_ack _data._egre.ack
#define | IPPROTO_GRE 47
#define | IPTOS_LOWDELAY 0x10
#define | IPTOS_THROUGHPUT 0x08
#define | IPTOS_RELIABILITY 0x04
#define | IPTOS_LOWCOST 0x02
#define | IP_RF 0x8000
#define | IP_DF 0x4000
#define | IP_MF 0x2000
#define | IP_OFFMASK 0x1fff
#define | IPOPT_EOL 0
#define | IPOPT_NOP 1
#define | IPOPT_RR 7
#define | IPOPT_TS 68
#define | IPOPT_SECURITY 130
#define | IPOPT_LSRR 131
#define | IPOPT_SATID 136
#define | IPOPT_SSRR 137
#define | libnet_s6_addr __u6_addr.__u6_addr8
#define | LIBNET_IPV6_NH_FRAGMENT 44
#define | LIBNET_IPV6_NH_ROUTING 43
#define | LIBNET_IPV6_NH_DESTOPTS 60
#define | LIBNET_IPV6_NH_HBH 0
#define | IPPROTO_ICMP6 0x3a
#define | ICMP6_ECHO 128
#define | ICMP6_ECHOREPLY 129
#define | ICMP6_UNREACH 1
#define | ICMP6_PKTTOOBIG 2
#define | ICMP6_TIMXCEED 3
#define | ICMP6_PARAMPROB 4
#define | ICMP_ECHOREPLY 0
#define | ICMP_UNREACH 3
#define | ICMP_SOURCEQUENCH 4
#define | ICMP_REDIRECT 5
#define | ICMP_ECHO 8
#define | ICMP_ROUTERADVERT 9
#define | ICMP_ROUTERSOLICIT 10
#define | ICMP_TIMXCEED 11
#define | ICMP_PARAMPROB 12
#define | ICMP_TSTAMP 13
#define | ICMP_TSTAMPREPLY 14
#define | ICMP_IREQ 15
#define | ICMP_IREQREPLY 16
#define | ICMP_MASKREQ 17
#define | ICMP_MASKREPLY 18
#define | ICMP_UNREACH_NET 0
#define | ICMP_UNREACH_HOST 1
#define | ICMP_UNREACH_PROTOCOL 2
#define | ICMP_UNREACH_PORT 3
#define | ICMP_UNREACH_NEEDFRAG 4
#define | ICMP_UNREACH_SRCFAIL 5
#define | ICMP_UNREACH_NET_UNKNOWN 6
#define | ICMP_UNREACH_HOST_UNKNOWN 7
#define | ICMP_UNREACH_ISOLATED 8
#define | ICMP_UNREACH_NET_PROHIB 9
#define | ICMP_UNREACH_HOST_PROHIB 10
#define | ICMP_UNREACH_TOSNET 11
#define | ICMP_UNREACH_TOSHOST 12
#define | ICMP_UNREACH_FILTER_PROHIB 13
#define | ICMP_UNREACH_HOST_PRECEDENCE 14
#define | ICMP_UNREACH_PRECEDENCE_CUTOFF 15
#define | ICMP_REDIRECT_NET 0
#define | ICMP_REDIRECT_HOST 1
#define | ICMP_REDIRECT_TOSNET 2
#define | ICMP_REDIRECT_TOSHOST 3
#define | ICMP_TIMXCEED_INTRANS 0
#define | ICMP_TIMXCEED_REASS 1
#define | ICMP_PARAMPROB_OPTABSENT 1
#define | icmp_id hun.echo.id
#define | icmp_seq hun.echo.seq
#define | icmp_mask dun.mask
#define | icmp_data dun.data
#define | icmp_otime dun.ts.its_otime
#define | icmp_rtime dun.ts.its_rtime
#define | icmp_ttime dun.ts.its_ttime
#define | IGMP_MEMBERSHIP_QUERY 0x11
#define | IGMP_V1_MEMBERSHIP_REPORT 0x12
#define | IGMP_V2_MEMBERSHIP_REPORT 0x16
#define | IGMP_LEAVE_GROUP 0x17
#define | IPPROTO_ESP 50
#define | IPPROTO_AH 51
#define | LIBNET_PROTO_ISL 201
#define | IPPROTO_OSPF 89
#define | IPPROTO_OSPF_LSA 890
#define | LIBNET_MODX 4102
#define | LIBNET_OPT_EBIT 0x02
#define | LIBNET_OPT_MCBIT 0x04
#define | LIBNET_OPT_NPBIT 0x08
#define | LIBNET_OPT_EABIT 0x10
#define | LIBNET_OPT_DCBIT 0x20
#define | LIBNET_MPLS_BOS_ON 1
#define | LIBNET_MPLS_BOS_OFF 0
#define | LIBNET_NTP_LI_NW 0x0
#define | LIBNET_NTP_LI_AS 0x1
#define | LIBNET_NTP_LI_DS 0x2
#define | LIBNET_NTP_LI_AC 0x3
#define | LIBNET_NTP_VN_2 0x2
#define | LIBNET_NTP_VN_3 0x3
#define | LIBNET_NTP_VN_4 0x4
#define | LIBNET_NTP_MODE_R 0x0
#define | LIBNET_NTP_MODE_A 0x1
#define | LIBNET_NTP_MODE_P 0x2
#define | LIBNET_NTP_MODE_C 0x3
#define | LIBNET_NTP_MODE_S 0x4
#define | LIBNET_NTP_MODE_B 0x5
#define | LIBNET_NTP_MODE_RC 0x6
#define | LIBNET_NTP_MODE_RP 0x7
#define | LIBNET_NTP_STRATUM_UNAVAIL 0x0
#define | LIBNET_NTP_STRATUM_PRIMARY 0x1
#define | LIBNET_NTP_REF_LOCAL 0x4c4f434c
#define | LIBNET_NTP_REF_PPS 0x50505300
#define | LIBNET_NTP_REF_ACTS 0x41435453
#define | LIBNET_NTP_REF_USNO 0x55534e4f
#define | LIBNET_NTP_REF_PTB 0x50544200
#define | LIBNET_NTP_REF_TDF 0x54444600
#define | LIBNET_NTP_REF_DCF 0x44434600
#define | LIBNET_NTP_REF_MSF 0x4d534600
#define | LIBNET_NTP_REF_WWV 0x57575600
#define | LIBNET_NTP_REF_WWVB 0x57575642
#define | LIBNET_NTP_REF_WWVH 0x57575648
#define | LIBNET_NTP_REF_CHU 0x43485500
#define | LIBNET_NTP_REF_LORC 0x4c4f5243
#define | LIBNET_NTP_REF_OMEG 0x4f4d4547
#define | LIBNET_NTP_REF_GPS 0x47505300
#define | LIBNET_NTP_REF_GOES 0x474f4553
#define | OSPFVERSION 2
#define | LIBNET_OSPF_UMD 0
#define | LIBNET_OSPF_HELLO 1
#define | LIBNET_OSPF_DBD 2
#define | LIBNET_OSPF_LSR 3
#define | LIBNET_OSPF_LSU 4
#define | LIBNET_OSPF_LSA 5
#define | LIBNET_OSPF_AUTH_NULL 0
#define | LIBNET_OSPF_AUTH_SIMPLE 1
#define | LIBNET_OSPF_AUTH_MD5 2
#define | LIBNET_DBD_IBI 0x01
#define | LIBNET_DBD_MBIT 0x02
#define | LIBNET_DBD_MSBIT 0x04
#define | LIBNET_LS_TYPE_RTR 1
#define | LIBNET_LS_TYPE_NET 2
#define | LIBNET_LS_TYPE_IP 3
#define | LIBNET_LS_TYPE_ASBR 4
#define | LIBNET_LS_TYPE_ASEXT 5
#define | LIBNET_RTR_FLAGS_W 0x0100
#define | LIBNET_RTR_FLAGS_E 0x0200
#define | LIBNET_RTR_FLAGS_B 0x0400
#define | LIBNET_LINK_ID_NBR_ID 1
#define | LIBNET_LINK_ID_IP_DES 2
#define | LIBNET_LINK_ID_SUB 3
#define | LIBNET_RTR_TYPE_PTP 1
#define | LIBNET_RTR_TYPE_TRANS 2
#define | LIBNET_RTR_TYPE_STUB 3
#define | RTR_TYPE_VRTL 4
#define | LIBNET_AS_E_BIT_ON 0x80000000
#define | RIPCMD_REQUEST 1
#define | RIPCMD_RESPONSE 2
#define | RIPCMD_TRACEON 3
#define | RIPCMD_TRACEOFF 4
#define | RIPCMD_POLL 5
#define | RIPCMD_POLLENTRY 6
#define | RIPCMD_MAX 7
#define | RIPVER_0 0
#define | RIPVER_1 1
#define | RIPVER_2 2
#define | LIBNET_RPC_CALL 0
#define | LIBNET_RPC_REPLY 1
#define | LIBNET_RPC_VERS 2
#define | LIBNET_RPC_LAST_FRAG 0x80000000
#define | LIBNET_PMAP_PROGRAM 100000
#define | LIBNET_PMAP_PROC_NULL 0
#define | LIBNET_PMAP_PROC_SET 1
#define | LIBNET_PMAP_PROC_UNSET 2
#define | LIBNET_PMAP_PROC_GETADDR 3
#define | LIBNET_PMAP_PROC_DUMP 4
#define | LIBNET_PMAP_PROC_CALLIT 5
#define | LIBNET_PMAP_PROC_BCAST 5
#define | LIBNET_PMAP_PROC_GETTIME 6
#define | LIBNET_PMAP_PROC_UADDR2TADDR 7
#define | LIBNET_PMAP_PROC_TADDR2UADDR 8
#define | LIBNET_PMAP_PROC_GETVERSADDR 9
#define | LIBNET_PMAP_PROC_INDIRECT 10
#define | LIBNET_PMAP_PROC_GETADDRLIST 11
#define | LIBNET_PMAP_PROC_GETSTAT 12
#define | TH_FIN 0x01
#define | TH_SYN 0x02
#define | TH_RST 0x04
#define | TH_PUSH 0x08
#define | TH_ACK 0x10
#define | TH_URG 0x20
#define | TH_ECE 0x40
#define | TH_CWR 0x80
#define | LIBNET_TOKEN_RING_FRAME 0x10
#define | LIBNET_TOKEN_RING_LLC_FRAME 0x40
#define | TOKEN_RING_TYPE_IP 0x0800
#define | TOKEN_RING_TYPE_ARP 0x0806
#define | TOKEN_RING_TYPE_REVARP 0x8035
#define | SEBEK_PROTO_VERSION 1
#define | SEBEK_TYPE_READ 0
#define | SEBEK_TYPE_WRITE 1
#define | SEBEK_CMD_LENGTH 12
#define | IPPROTO_VRRP 112
#define | LIBNET_VRRP_VERSION_01 0x1
#define | LIBNET_VRRP_VERSION_02 0x2
#define | LIBNET_VRRP_TYPE_ADVERT 0x1
#define | LIBNET_VRRP_AUTH_NONE 0x1
#define | LIBNET_VRRP_AUTH_PASSWD 0x2
#define | LIBNET_VRRP_AUTH_IPAH 0x3

## Detailed Description

libnet header information

## Define Documentation

#define LIBNET_802_1Q_CFIMASK 0x0001

| CFI mask

#define LIBNET_802_1Q_H 0x12

| 802.1Q header: 18 bytes

#define LIBNET_802_1Q_PRIMASK 0x0007

| priority mask

#define LIBNET_802_1Q_VIDMASK 0x0fff

| vid mask

#define LIBNET_802_1X_ENCASFAL 0x04

| 802.1x encasfal

#define LIBNET_802_1X_H 0x04

| 802.1X header: 4 bytes

#define LIBNET_802_1X_KEY 0x03

| 802.1x key

#define LIBNET_802_1X_LOGOFF 0x02

| 802.1x logoff

#define LIBNET_802_1X_PACKET 0x00

| 802.1x packet

#define LIBNET_802_1X_START 0x01

| 802.1x start

#define LIBNET_802_2_H 0x03

| 802.2 LLC header: 3 bytes

#define LIBNET_802_2SNAP_H 0x08

| 802.2 LLC/SNAP header:8 bytes

#define LIBNET_802_3_H 0x0e

| 802.3 header: 14 bytes

#define LIBNET_ARP_ETH_IP_H 0x1c

| ARP w/ ETH and IP: 28 bytes

#define LIBNET_ARP_H 0x08

| ARP header w/o addrs: 8 bytes

#define LIBNET_BGP4_HEADER_H 0x13

| BGP header: 19 bytes

#define LIBNET_BGP4_NOTIFICATION_H 0x02

| BGP notif. header: 2 bytes

#define LIBNET_BGP4_OPEN_H 0x0a

| BGP open header: 10 bytes

#define LIBNET_BGP4_UPDATE_H 0x04

| BGP open header: 4 bytes

#define LIBNET_CDP_H 0x08

| CDP header base: 8 bytes

#define LIBNET_DHCPV4_H 0xf0

| DHCP v4 header: 240 bytes

#define LIBNET_ETH_H 0x0e

| Ethernet header: 14 bytes

#define LIBNET_FDDI_H 0x15

| FDDI header: 21 bytes

#define LIBNET_GRE_H 0x04

| GRE header: 4 bytes

#define LIBNET_GRE_SRE_H 0x04

| GRE SRE header: 4 bytes

#define LIBNET_ICMPV4_ECHO_H 0x08

| ICMP_ECHO header: 8 bytes

#define LIBNET_ICMPV4_H 0x04

| ICMP header base: 4 bytes

#define LIBNET_ICMPV4_MASK_H 0x0c

| ICMP_MASK header: 12 bytes

#define LIBNET_ICMPV4_REDIRECT_H 0x08

| ICMP_REDIRECT header: 8 bytes

#define LIBNET_ICMPV4_TIMXCEED_H 0x08

| ICMP_TIMXCEED header: 8 bytes

#define LIBNET_ICMPV4_TS_H 0x14

| ICMP_TIMESTAMP headr:20 bytes

#define LIBNET_ICMPV4_UNREACH_H 0x08

| ICMP_UNREACH header: 8 bytes

#define LIBNET_ICMPV6_H 0x08

| ICMP6 header base: 8 bytes

#define LIBNET_IGMP_H 0x08

| IGMP header: 8 bytes

#define LIBNET_IPSEC_AH_H 0x10

| IPSEC AH header: 16 bytes

#define LIBNET_IPSEC_ESP_FTR_H 0x02

| IPSEC ESP footer: 2 bytes

#define LIBNET_IPSEC_ESP_HDR_H 0x0c

| IPSEC ESP header: 12 bytes

#define LIBNET_IPV4_H 0x14

| IPv4 header: 20 bytes

#define LIBNET_IPV6_DESTOPTS_H 0x02

| IPv6 dest opts base: 2 bytes

#define LIBNET_IPV6_FRAG_H 0x08

| IPv6 frag header: 8 bytes

#define LIBNET_IPV6_H 0x28

| IPv6 header: 40 bytes

#define LIBNET_IPV6_HBHOPTS_H 0x02

| IPv6 hop/hop opt base:2 bytes

#define LIBNET_IPV6_ROUTING_H 0x04

| IPv6 frag header base:4 bytes

#define LIBNET_ISL_H 0x1a

| ISL header: 26 bytes

#define LIBNET_MPLS_H 0x04

| MPLS header: 4 bytes

#define LIBNET_NTP_H 0x30

| NTP header: 48 bytes

#define LIBNET_OSPF_AUTH_H 0x08

| OSPF AUTH header: 8 bytes

#define LIBNET_OSPF_CKSUM 0x10

| OSPF CKSUM header: 16 bytes

#define LIBNET_OSPF_DBD_H 0x08

| OSPF DBD header: 8 bytes

#define LIBNET_OSPF_H 0x10

| OSPF header: 16 bytes

#define LIBNET_OSPF_HELLO_H 0x18

| OSPF hello header: 24 bytes

#define LIBNET_OSPF_LS_AS_EXT_H 0x10

| OSPF LS AS header: 16 bytes

#define LIBNET_OSPF_LS_NET_H 0x08

| OSPF LS NET header: 8 bytes

#define LIBNET_OSPF_LS_RTR_H 0x10

| OSPF LS RTR header: 16 bytes

#define LIBNET_OSPF_LS_SUM_H 0x0c

| OSPF LS SUM header: 12 bytes

#define LIBNET_OSPF_LSA_H 0x14

| OSPF LSA header: 20 bytes

#define LIBNET_OSPF_LSR_H 0x0c

| OSPF LSR header: 12 bytes

#define LIBNET_OSPF_LSU_H 0x04

| OSPF LSU header: 4 bytes

#define LIBNET_RIP_H 0x18

| RIP header base: 24 bytes

#define LIBNET_RPC_CALL_H 0x28

| RPC header: 40 bytes (assuming 8 byte auth header)

#define LIBNET_RPC_CALL_TCP_H 0x2c

| RPC header: 44 bytes (with record marking)

#define LIBNET_STP_CONF_H 0x23

| STP conf header: 35 bytes

#define LIBNET_STP_TCN_H 0x04

| STP tcn header: 4 bytes

#define LIBNET_TCP_DNSV4_H 0x0e

| TCP DNS v4 header: 14 bytes

#define LIBNET_TCP_H 0x14

| TCP header: 20 bytes

#define LIBNET_TOKEN_RING_H 0x16

| Token Ring header: 22 bytes

#define LIBNET_UDP_DNSV4_H 0x0c

| UDP DNS v4 header: 12 bytes

#define LIBNET_UDP_H 0x08

| UDP header: 8 bytes

#define LIBNET_VRRP_H 0x08

| VRRP header: 8 bytes